### Method

# Gio DBusConnection remove_filter

since: 2.26

#### Declaration

    void
    g_dbus_connection_remove_filter (
      GDBusConnection* connection,
      guint filter_id
    )

#### Description

Removes a filter.

Note that since filters run in a different thread, there is a race condition where it is possible that the filter will be running even after calling g_dbus_connection_remove_filter(), so you cannot just free data that the filter might be using. Instead, you should pass a `GDestroyNotify` to g_dbus_connection_add_filter(), which will be called when it is guaranteed that the data is no longer needed.

Available since: 2.26

#### Parameters

`filter_id`

  Type: `guint`

  An identifier obtained from g_dbus_connection_add_filter().